Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Namespaces | Functions
pieces.cpp File Reference
`#include "blobs.h"`
`#include "freelist.h"`
`#include "helpers.h"`
`#include "matchtab.h"`
`#include "matrix.h"`
`#include "ndminx.h"`
`#include "plotseg.h"`
`#include "ratngs.h"`
`#include "seam.h"`
`#include "states.h"`
`#include "wordclass.h"`
`#include "wordrec.h"`

Go to the source code of this file.

## Namespaces

namespace | tesseract

## Functions

TBOX | bounds_of_piece (TBOX *bounds, inT16 start, inT16 end)
template<class BLOB_CHOICE >
int | tesseract::SortByUnicharID (const void *void1, const void *void2)
template<class BLOB_CHOICE >
int | tesseract::SortByRating (const void *void1, const void *void2)

## Function Documentation

TBOX bounds_of_piece | ( | TBOX * | bounds,
|  | inT16 | start,
|  | inT16 | end
| ) |  |

Definition at line 58 of file pieces.cpp.

{
TBOX all_together = bounds[start];
for (int x = start + 1; x <= end; x++) {
all_together += bounds[x];
}
return all_together;
}